/* Inter Variable */
@font-face {
  font-family: 'InterVariable';
  font-style: normal;
  font-weight: 100 900;
  font-display: swap;
  src: url("../fonts/inter/web/InterVariable.woff2") format("woff2");
}
@font-face {
  font-family: 'InterVariable';
  font-style: italic;
  font-weight: 100 900;
  font-display: swap;
  src: url("../fonts/inter/web/InterVariable-Italic.woff2") format("woff2");
}

/* Inter Static (Fallbacks and specific weights) */
@font-face {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 300;
  font-display: swap;
  src: url("../fonts/inter/web/Inter-Light.woff2") format("woff2");
}
@font-face {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url("../fonts/inter/web/Inter-Regular.woff2") format("woff2");
}
@font-face {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url("../fonts/inter/web/Inter-SemiBold.woff2") format("woff2");
}
@font-face {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url("../fonts/inter/web/Inter-Bold.woff2") format("woff2");
}

/* Soporte para navegadores modernos con fuentes variables */
@supports (font-variation-settings: normal) {
  :root {
    font-family: 'InterVariable', sans-serif;
  }
}
